module Softwear
  class SpecDumpController < ApplicationController
    include Library::SpecDump

    helper Softwear::Engine.helpers do
      def method_missing(name, *args, &block)
        if main_app.respond_to?(name)   
          main_app.send(name, *args, &block)
        else                   
          super                
        end                    
      end
    end

    def dump
      type = params[:type].classify
      id   = params[:id].to_i

      render json: spec_dump(type.constantize.find(id))
    end
  end
end
